---
image: python:3.6

stages:
  - test
  - release

test:
  stage: test
  script:
    - pip install .[dev]
    - python -m unittest djangoldp.tests.runner
  except:
    - master
  tags:
    - sib

publish:
  stage: release
  before_script:
    - git config user.name "${GITLAB_USER_NAME}"
    - git config user.email "${GITLAB_USER_EMAIL}"
    - git remote set-url origin "https://gitlab-ci-token:${GL_TOKEN}@git.happy-dev.fr/${CI_PROJECT_PATH}.git"
    - pip install git+https://github.com/plup/python-semantic-release
    - pip install sib-commit-parser
  script:
    - semantic-release publish
  only:
    - master
  tags:
    - sib
